Package org.opensaml.xmlsec.encryption.impl

# Class CipherReferenceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.CipherReferenceImpl

All Implemented Interfaces:
  `XMLObject`, `CipherReference`

public class CipherReferenceImpl extends AbstractXMLObject implements CipherReference
Concrete implementation of `CipherReference`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Transforms`
`transforms`
Transforms child element value.
`private String`
`uri`
URI attribute value.

### Fields inherited from interface org.opensaml.xmlsec.encryption.CipherReference

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME, URI_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CipherReferenceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Transforms`
`getTransforms()`
Get the Transforms child element, which describes which transformations to apply when dereferencing the data.
`String`
`getURI()`
Get the URI attribute that describes from where to deference the encrypted data.
`void`
`setTransforms(Transforms newTransforms)`
Set the Transforms child element, which describes which transformations to apply when dereferencing the data.
`void`
`setURI(String newURI)`
Set the URI attribute that describes from where to deference the encrypted data.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### uri

@Nullable private String uri
URI attribute value.

### transforms

@Nullable private Transforms transforms
Transforms child element value.

## Constructor Details

### CipherReferenceImpl

protected CipherReferenceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getURI

@Nullable public String getURI()
Get the URI attribute that describes from where to deference the encrypted data.

Specified by:
  `getURI` in interface `CipherReference`
Returns:
  the URI attribute string

### setURI

public void setURI(@Nullable String newURI)
Set the URI attribute that describes from where to deference the encrypted data.

Specified by:
  `setURI` in interface `CipherReference`
Parameters:
  `newURI` - the new URI attribute string value

### getTransforms

@Nullable public Transforms getTransforms()
Get the Transforms child element, which describes which transformations to apply when dereferencing the data.

Specified by:
  `getTransforms` in interface `CipherReference`
Returns:
  the Transforms child element

### setTransforms

public void setTransforms(@Nullable Transforms newTransforms)
Set the Transforms child element, which describes which transformations to apply when dereferencing the data.

Specified by:
  `setTransforms` in interface `CipherReference`
Parameters:
  `newTransforms` - the new Transforms child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements